curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "happyhorse_1_1",
"params": map[string]interface{}{
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": []interface{}{
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg",
},
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42,
},
"out_task_id": "happyhorse_1_1_r2v_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "happyhorse_1_1",
"params" => [
"prompt" => "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url" => ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution" => "1080p",
"aspect_ratio" => "16:9",
"video_length" => 5,
"seed" => 42
],
"out_task_id" => "happyhorse_1_1_r2v_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "happyhorse_1_1",
"params": [
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
],
"out_task_id": "happyhorse_1_1_r2v_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""happyhorse_1_1"",
""params"": {
""prompt"": ""[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。"",
""image_url"": [
""https://example.com/character.jpg"",
""https://example.com/scene.jpg"",
""https://example.com/prop.jpg""
],
""resolution"": ""1080p"",
""aspect_ratio"": ""16:9"",
""video_length"": 5,
""seed"": 42
},
""out_task_id"": ""happyhorse_1_1_r2v_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"happyhorse_1_1\",\"params\":{\"prompt\":\"[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。\",\"image_url\":[\"https://example.com/character.jpg\",\"https://example.com/scene.jpg\",\"https://example.com/prop.jpg\"],\"resolution\":\"1080p\",\"aspect_ratio\":\"16:9\",\"video_length\":5,\"seed\":42},\"out_task_id\":\"happyhorse_1_1_r2v_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"happyhorse_1_1",
@"params": @{
@"prompt": @"[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
@"image_url": @[
@"https://example.com/character.jpg",
@"https://example.com/scene.jpg",
@"https://example.com/prop.jpg"
],
@"resolution": @"1080p",
@"aspect_ratio": @"16:9",
@"video_length": @5,
@"seed": @42
},
@"out_task_id": @"happyhorse_1_1_r2v_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "happyhorse_1_1",
params = list(
prompt = "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
image_url = list(
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
),
resolution = "1080p",
aspect_ratio = "16:9",
video_length = 5,
seed = 42
),
out_task_id = "happyhorse_1_1_r2v_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "happyhorse_1_1_r2v_123456",
"status": "pending",
"estimated_credits": 100,
"created_at": "2025-12-22T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "リクエストパラメータが無効です",
"ok": false
}
{
"error": {
"code": 401,
"message": "認証に失敗しました。API keyを確認してください"
}
}
{
"error": {
"code": 433,
"message": "アカウント残高が不足しています。チャージしてから再試行してください"
}
}
{
"error": {
"code": 500,
"message": "サーバー内部エラーです。しばらくしてから再試行してください"
}
}
HappyHorse 1.1
HappyHorse 1.1 多参考图视频生成
- 1〜9枚の順序付き参照画像を使用して動画を生成
- 720p / 1080p、9種類のアスペクト比、および3〜15秒の長さをサポート
- プロンプト内で [Image 1]、[Image 2] を対応する参照画像として使用
- 非同期処理モード。後続のクエリに使用するタスクIDを返します
POST
/
api
/
openapi
/
submit
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "happyhorse_1_1",
"params": map[string]interface{}{
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": []interface{}{
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg",
},
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42,
},
"out_task_id": "happyhorse_1_1_r2v_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "happyhorse_1_1",
"params" => [
"prompt" => "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url" => ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution" => "1080p",
"aspect_ratio" => "16:9",
"video_length" => 5,
"seed" => 42
],
"out_task_id" => "happyhorse_1_1_r2v_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "happyhorse_1_1",
"params": [
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
],
"out_task_id": "happyhorse_1_1_r2v_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""happyhorse_1_1"",
""params"": {
""prompt"": ""[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。"",
""image_url"": [
""https://example.com/character.jpg"",
""https://example.com/scene.jpg"",
""https://example.com/prop.jpg""
],
""resolution"": ""1080p"",
""aspect_ratio"": ""16:9"",
""video_length"": 5,
""seed"": 42
},
""out_task_id"": ""happyhorse_1_1_r2v_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"happyhorse_1_1\",\"params\":{\"prompt\":\"[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。\",\"image_url\":[\"https://example.com/character.jpg\",\"https://example.com/scene.jpg\",\"https://example.com/prop.jpg\"],\"resolution\":\"1080p\",\"aspect_ratio\":\"16:9\",\"video_length\":5,\"seed\":42},\"out_task_id\":\"happyhorse_1_1_r2v_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"happyhorse_1_1",
@"params": @{
@"prompt": @"[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
@"image_url": @[
@"https://example.com/character.jpg",
@"https://example.com/scene.jpg",
@"https://example.com/prop.jpg"
],
@"resolution": @"1080p",
@"aspect_ratio": @"16:9",
@"video_length": @5,
@"seed": @42
},
@"out_task_id": @"happyhorse_1_1_r2v_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "happyhorse_1_1",
params = list(
prompt = "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
image_url = list(
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
),
resolution = "1080p",
aspect_ratio = "16:9",
video_length = 5,
seed = 42
),
out_task_id = "happyhorse_1_1_r2v_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "happyhorse_1_1_r2v_123456",
"status": "pending",
"estimated_credits": 100,
"created_at": "2025-12-22T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "リクエストパラメータが無効です",
"ok": false
}
{
"error": {
"code": 401,
"message": "認証に失敗しました。API keyを確認してください"
}
}
{
"error": {
"code": 433,
"message": "アカウント残高が不足しています。チャージしてから再試行してください"
}
}
{
"error": {
"code": 500,
"message": "サーバー内部エラーです。しばらくしてから再試行してください"
}
}
HappyHorse 1.1 の AIReiter におけるモデル名は
happyhorse_1_1 で、現在は複数参考画像の動画生成ワークフローを提供しています。Authorizations
string
必須
すべてのエンドポイントは Bearer Token による認証が必要です。API Key 管理ページ にアクセスして API Key を取得し、リクエストヘッダーに次を追加してください:
Authorization: Bearer YOUR_API_KEY
Body
string
必須
モデル名。固定で
happyhorse_1_1 を使用します。object
必須
モデルパラメーターオブジェクト。
表示 params オブジェクトの Properties
表示 params オブジェクトの Properties
string
必須
動画の内容、動作、視覚スタイルの説明。プロンプト内では
[Image 1]、[Image 2] などのマークを使用して image_url 配列内の同じ位置の画像を指し、画像内の具体的な対象を説明してください。たとえば、[Image 1] の赤いチャイナドレスを着た女性が [Image 2] の折りたたみ扇子を開く。最大 2500 個の中国語文字、または 5000 個の非中国語文字までサポートします。超過分は切り捨てられます。string | string[]
必須
参照画像 URL。1〜9枚の画像をサポートし、画像の順序はプロンプト内の
[Image N] マークと一致している必要があります。画像要件:- JPEG、JPG、PNG、WEBP をサポート
- 短辺は 400px 以上であること。720p 以上の解像度を推奨します
- 1枚あたり 10MB 以下
- URL はパブリックネットワークから直接アクセスできる必要があります
string
デフォルト:"1080p"
出力解像度:
720p または 1080p。string
デフォルト:"16:9"
出力動画のアスペクト比。対応:
16:9、9:16、3:4、4:3、4:5、5:4、1:1、9:21、21:9。integer
デフォルト:"5"
出力動画の長さ。単位は秒です。3〜15の整数に対応しています。
integer
デフォルト:"0"
乱数シード。範囲は 0〜2147483647 です。
0 を渡すか省略した場合は、ランダムシードが使用されます。string
必須
呼び出し側が生成する一意のタスク ID。後続ではこの ID を使用してタスクの Status と結果を照会します。英字、数字、アンダースコア、ハイフンのみ対応し、長さは 1〜64 文字です。
Response
string
呼び出し元のタスク ID。結果の照会に使用できます。
string
初期状態。通常は
pending です。string
作成時刻。ISO 8601 形式。
Query Task
タスクの送信が成功した後、同じout_task_id を通じてステータスを照会します。タスクのステータスには pending、processing、completed、failed が含まれます。完了後、output 配列に動画結果が含まれます。
curl --request POST \
--url https://aireiter.com/api/openapi/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"out_task_id": "happyhorse_1_1_task_123456"
}'
Request Example
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "happyhorse_1_1",
"params": map[string]interface{}{
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": []interface{}{
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg",
},
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42,
},
"out_task_id": "happyhorse_1_1_r2v_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "happyhorse_1_1",
"params" => [
"prompt" => "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url" => ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution" => "1080p",
"aspect_ratio" => "16:9",
"video_length" => 5,
"seed" => 42
],
"out_task_id" => "happyhorse_1_1_r2v_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "happyhorse_1_1",
"params": [
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
],
"out_task_id": "happyhorse_1_1_r2v_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""happyhorse_1_1"",
""params"": {
""prompt"": ""[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。"",
""image_url"": [
""https://example.com/character.jpg"",
""https://example.com/scene.jpg"",
""https://example.com/prop.jpg""
],
""resolution"": ""1080p"",
""aspect_ratio"": ""16:9"",
""video_length"": 5,
""seed"": 42
},
""out_task_id"": ""happyhorse_1_1_r2v_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"happyhorse_1_1\",\"params\":{\"prompt\":\"[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。\",\"image_url\":[\"https://example.com/character.jpg\",\"https://example.com/scene.jpg\",\"https://example.com/prop.jpg\"],\"resolution\":\"1080p\",\"aspect_ratio\":\"16:9\",\"video_length\":5,\"seed\":42},\"out_task_id\":\"happyhorse_1_1_r2v_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"happyhorse_1_1",
@"params": @{
@"prompt": @"[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
@"image_url": @[
@"https://example.com/character.jpg",
@"https://example.com/scene.jpg",
@"https://example.com/prop.jpg"
],
@"resolution": @"1080p",
@"aspect_ratio": @"16:9",
@"video_length": @5,
@"seed": @42
},
@"out_task_id": @"happyhorse_1_1_r2v_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "happyhorse_1_1",
params = list(
prompt = "[Image 1] の女性が [Image 2] のシーンに入り、その後 [Image 3] の小道具を手に取ります。滑らかな3Dカートゥーンスタイルと自然な動きを維持してください。",
image_url = list(
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
),
resolution = "1080p",
aspect_ratio = "16:9",
video_length = 5,
seed = 42
),
out_task_id = "happyhorse_1_1_r2v_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "happyhorse_1_1_r2v_123456",
"status": "pending",
"estimated_credits": 100,
"created_at": "2025-12-22T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "リクエストパラメータが無効です",
"ok": false
}
{
"error": {
"code": 401,
"message": "認証に失敗しました。API keyを確認してください"
}
}
{
"error": {
"code": 433,
"message": "アカウント残高が不足しています。チャージしてから再試行してください"
}
}
{
"error": {
"code": 500,
"message": "サーバー内部エラーです。しばらくしてから再試行してください"
}
}
画像配列の順序がプロンプト内の
[Image N] と一致しない場合、キャラクター、小道具、またはシーンが混同される可能性があります。